Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt.repository
Class RepositoryURL

    java.lang.Object
      |
      +--com.bea.wlxt.repository.RepositoryURL

public class RepositoryURL
extends java.lang.Object
implements java.io.Serializable

The RepositoryURL class provides a means to obtain a URL which can be used to retrieve a document from the configured (or default) WLXT repository. The supported format of the URL is:

          wlxt://type/folder.../name
          Where:
              type        ==> the type of the document.  Supported
                              types are mfl, dtd, xsd, xslt, and class.
              folder...   ==> optional levels of folder information.
              name        ==> the name of the document.

          For example:
              wlxt://mfl/mydocument
              wlxt://dtd/legacy/payroll/hoursdata

Since:
  WLXT V2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RepositoryURL()`

Method Summary
`static java.net.URL` | `create(java.lang.String url)` Create a URL representing a document in the WLXT repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryURL

    public RepositoryURL()

Method Detail

### create

    public static java.net.URL create(java.lang.String url)
                               throws java.net.MalformedURLException

  Create a URL representing a document in the WLXT repository. Use of this method avoids having to install a global protocol handler in order to create WLXT Repository URL's. The method may be called as:

          URL url = RepositoryURL.create("wlxt://mfl/myMFLdocument");

  If the global URL handler is desired the following property must be set when starting the Java Virtual Machine:

            -Djava.protocol.handler.pkgs=com.bea.wlxt.repository.protocol

  After installing this property the above URL creation may be coded as:

            URL url = new URL("wlxt://mfl/myMFLdocument");

  Parameters:
    `url` - A URL string of the form wlxt://type/documentpath.
  Returns:
    a URL object that may be used to retrieve the requested docuemnt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)